Skip to content

Update Damage Status

Update the status of a damage report.

Endpoint

INFO

PUT /api/v1/dashboard/damages/{damage}/status

Headers

HeaderValueRequired
Content-Typeapplication/jsonYes
Acceptapplication/jsonYes
AuthorizationBearer {token}Yes

Path Parameters

ParameterTypeDescription
damageintegerDamage report ID

Request Body

ParameterTypeRequiredDescription
statusstringYesNew status
notesstringNoStatus change notes

Example Request

bash
curl -X PUT https://api.daakey.com/api/v1/dashboard/damages/1/status \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {token}" \
  -d '{
    "status": "assessing",
    "notes": "Sent for assessment at body shop"
  }'

Response

Success (200)

json
{
  "success": true,
  "message": "Damage status updated",
  "data": {
    "id": 1,
    "status": "assessing",
    "history": [
      {
        "action": "status_changed",
        "from": "reported",
        "to": "assessing",
        "notes": "Sent for assessment at body shop",
        "user": "Admin User",
        "timestamp": "2024-01-15T12:00:00Z"
      }
    ],
    "updated_at": "2024-01-15T12:00:00Z"
  },
  "request_id": "uuid",
  "timestamp": "2024-01-01T00:00:00.000Z"
}

Status Transitions

FromTo
reportedassessing, resolved
assessingrepairing, resolved
repairingresolved

Daakey Car Sharing Platform